import { MetaInputType } from 'model/meta/input-type/MetaInputType';
import { MetaCrawler } from 'model/meta/crawler/MetaCrawler';


// export interface MetaCrawlerInputItem {
//   id?: number;
//   inputType?: MetaInputType;
//   crawler?: MetaCrawler;
//   description?: string;
//   name?: string;
//   createDate?: Date;
//   required?: boolean;
//   defaultValue?: string;
//   pattern?: string;
//   keyName?: string;
//   keyValue?: string;
// }

export interface MetaCrawlerInputItem {
  id?: number;
  inputType?: MetaInputType;
  crawler?: MetaCrawler;
  description?: string;
  name?: string;
  createDate?: Date;
  required?: boolean;
  defaultValue?: string;
  pattern?: string;
  keyName?: string;
  keyValue?: string;
}