import { MetaHistoryType } from "model/meta/history-type/MetaHistoryType";
import { Probe } from "model/probe";
import { Member } from "model/member";
import { Domain } from "model/domain";

export interface History {
    id?: number;
    createDate?: Date;
    type?: MetaHistoryType;
    message?: string;
    probe?: Probe;
    member?: Member;
    domain?: Domain;
}
