import { MetaCrawler } from 'model/meta/crawler/MetaCrawler';
import { MetaSensorItemUnit } from 'model/meta/sensor-item-unit/MetaSensorItemUnit';
import { MetaSensorItemType } from 'model/meta/sensor-item-type/MetaSensorItemType';

export interface MetaSensorDisplayItem {
    id?: number;
    key?: string;
    displayName?: string;
    description?: string;
    crawler?: MetaCrawler;
    unit?: MetaSensorItemUnit;
    createDate?: Date;
    default?: boolean;
    itemType?: MetaSensorItemType;
}
