import { Domain } from 'model/domain/';
import { Member } from 'model/member/';
import { Infra } from 'model/infra/';
import { MetaProbeStatus } from 'model/meta/probe-status/MetaProbeStatus';

export interface Probe {
  id?: number;
  status?: MetaProbeStatus; // INITIAL / NORMAL
  description?: string;
  createDate?: Date;
  domain?: Domain;
  probeKey?: string;
  encryptionKey?: string;
  displayName?: string;
  cidr?: string;
  authorizeDate?: Date;
  authorizeMember?: Member;
  // host?: InfraHost;
  targets?: Infra[];
}
