import { Target } from 'model/target';
import { MetaSensorStatus } from 'model/meta/sensor-status/MetaSensorStatus';
import { MetaCrawler } from 'model/meta/crawler/MetaCrawler';

export interface Sensor {
  id?: number;
  createDate?: Date;
  description?: string;
  status?: MetaSensorStatus;
  target?: Target;
  crawler?: MetaCrawler;
  crawlerInputItems?: string;
  itemCount?: number;
}
