
import { Infra } from 'model/infra';
import { MetaCrawler } from 'model/meta/crawler/MetaCrawler';
import { MetaSensorDisplayItem } from 'model/meta/sensor-display-item/MetaSensorDisplayItem';

export interface SensorRegistInfo {
  sensorItemMap: Map<number, Array<MetaSensorDisplayItem>>;
  crawler: MetaCrawler;
  // targetId: number;
  interval: number;
  // type: string;
  infra: Infra;
  crawlerAuth: string;
}
